Catmandu::Fix::Bind::maybe(3pm)

NAME
Catmandu::Fix::Bind::maybe - a binder that skips fixes if one returns undef or dies

SYNOPSIS
 do maybe()
    foo()
    return_undef() # rest will be ignored
    bar()
 end

DESCRIPTION
The maybe binder computes all the Fix function and ignores fixes that throw exceptions.

SEE ALSO
Catmandu::Fix::Bind